> For the complete documentation index, see [llms.txt](https://docs.arkannis.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.arkannis.net/programming/courses/python-pcap-31-03-course/lists-tuples-and-dictionaries/finding-index-positions-in-lists-and-counting-duplicates.md).

# Finding Index positions in Lists and counting duplicates

## Finding Index positions

```python
my_list = ['a', 'b', 'c', 'd']

idx_pos = my_list.index('a') # This will print the index position. I.e 2
# The variable will return an INT
```

## Counting duplicates

```python
my_list = ['a', 'b', 'c', 'd', 'c', 'c']
c_count = my_list.count('c') # The variable will return an INT
```

{% hint style="info" %}
`NOTE:`

* Any `SLICING` that you do with a `LIST` `returns` a `LIST`
* Any `SLICING` that you do with a `TUPLE` `returns` a `TUPLE`
  {% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.arkannis.net/programming/courses/python-pcap-31-03-course/lists-tuples-and-dictionaries/finding-index-positions-in-lists-and-counting-duplicates.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
